summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--regressions/Makefile.am8
-rwxr-xr-xregressions/rhbz503169c10.sh47
2 files changed, 52 insertions, 3 deletions
diff --git a/regressions/Makefile.am b/regressions/Makefile.am
index fd56a6d0..0896584b 100644
--- a/regressions/Makefile.am
+++ b/regressions/Makefile.am
@@ -21,8 +21,10 @@
#
# See also capitests/
-EXTRA_DIST = \
- test-cleanup.sh \
+TESTS = \
+ rhbz503169c10.sh \
test-bootbootboot.sh
-TESTS = test-bootbootboot.sh
+EXTRA_DIST = \
+ test-cleanup.sh \
+ $(TESTS)
diff --git a/regressions/rhbz503169c10.sh b/regressions/rhbz503169c10.sh
new file mode 100755
index 00000000..8cdad50f
--- /dev/null
+++ b/regressions/rhbz503169c10.sh
@@ -0,0 +1,47 @@
+#!/bin/sh -
+# libguestfs
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Regression test for:
+# https://bugzilla.redhat.com/show_bug.cgi?id=503169#c10
+
+set -e
+
+rm -f test1.img
+dd if=/dev/zero of=test1.img bs=1024k count=10
+
+export LIBGUESTFS_PATH=../appliance
+
+../fish/guestfish -a test1.img <<EOF
+launch
+ll /../dev/console
+ll /../dev/full
+ll /../dev/mapper/
+ll /../dev/null
+ll /../dev/ptmx
+ll /../dev/pts/
+ll /../dev/random
+ll /../dev/shm/
+ll /../dev/stderr
+ll /../dev/stdin
+ll /../dev/stdout
+ll /../dev/tty
+ll /../dev/urandom
+ll /../dev/zero
+EOF
+
+rm test1.img